#version 330

precision highp float;

uniform sampler2D wwState;
uniform sampler2D lastFR;

smooth in vec2 vTexCoord;

out vec4 Color;

void main(void) {
	vec4 cWW = texture(wwState, vTexCoord);
	vec4 lFR = texture(lastFR, vTexCoord);
	
	if(cWW.g == 1.0 || cWW.b == 1.0)
		Color = lFR;
	else
		Color = vec4(0.0,0.0,0.0,1.0);
}